javax.faces.view.facelets

## Class TagException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.view.facelets.FaceletException
          - - javax.faces.view.facelets.TagException

- All Implemented Interfaces:
    Serializable

      public final class TagException
      extends FaceletException

  An Exception caused by a `Tag`

  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagException(Tag tag)` Wrap the argument `tag` so the exception can reference its information.
    `TagException(Tag tag, String message)` Wrap the argument `tag` so the exception can reference its information.
    `TagException(Tag tag, String message, Throwable cause)` Wrap the argument `tag` so the exception can reference its information.
    `TagException(Tag tag, Throwable cause)` Wrap the argument `tag` so the exception can reference its information.

  - ### Method Summary

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagException

          public TagException(Tag tag)

      Wrap the argument `tag` so the exception can reference its information.

      Parameters:
        `tag` - the `Tag` that caused this exception.

    - #### TagException

          public TagException(Tag tag,
                      String message)

      Wrap the argument `tag` so the exception can reference its information.

      Parameters:
        `tag` - the `Tag` that caused this exception.
        `message` - a message describing the exception

    - #### TagException

          public TagException(Tag tag,
                      Throwable cause)

      Wrap the argument `tag` so the exception can reference its information.

      Parameters:
        `tag` - the `Tag` that caused this exception.
        `cause` - the root cause for this exception.

    - #### TagException

          public TagException(Tag tag,
                      String message,
                      Throwable cause)

      Wrap the argument `tag` so the exception can reference its information.

      Parameters:
        `tag` - the `Tag` that caused this exception.
        `message` - a message describing the exception
        `cause` - the root cause for this exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.